Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
notifications
/
{id}
[Notifications] Get notification details
curl --request GET \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/notifications/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "notification_type": "task_started",
  "title": "<string>",
  "message": "<string>",
  "data": "<unknown>",
  "created": "2023-11-07T05:31:56Z",
  "modified": "2023-11-07T05:31:56Z",
  "is_read": true,
  "read_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

A UUID string identifying this Project Notification.

organization_id
string
required

Organization ID

project_id
string
required

Project ID

Response

Notification details retrieved successfully

id
string<uuid>
required
read-only
project
string<uuid>
required
read-only
organization
string<uuid>
required
read-only
notification_type
enum<string>
required
read-only
  • task_started - Task Started
  • task_completed - Task Completed
  • task_failed - Task Failed
  • instance_status_changed - Instance Status Changed
  • backup_completed - Backup Completed
  • snapshot_created - Snapshot Created
  • alert_triggered - Alert Triggered
Available options:
task_started,
task_completed,
task_failed,
instance_status_changed,
backup_completed,
snapshot_created,
alert_triggered
title
string
required
read-only
message
string
required
read-only
data
any
required
created
string<date-time>
required
read-only
modified
string<date-time>
required
read-only
is_read
boolean
read_at
string<date-time> | null